| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EventSlot Class Reference

Class representing the event slot. More...

`#include <src/EventSlot.h>`

Collaboration diagram for EventSlot:
[legend]

## Public Member Functions
| EventSlot (const std::vector< DataObjIDColl > &algoDependencies, unsigned int numberOfAlgorithms, unsigned int numberOfControlFlowNodes, SmartIF< IMessageSvc > MS)
| ~EventSlot ()
void | reset (EventContext *theeventContext)
| Reset all resources in order to reuse the slot. More...

## Public Attributes
EventContext * | eventContext
| Cache for the eventContext. More...
AlgsExecutionStates | algsStates
| Vector of algorithms states. More...
bool | complete
| Flags completion of the event. More...
DataFlowManager | dataFlowMgr
| DataFlowManager of this slot. More...
std::vector< int > | controlFlowState
| State of the control flow. More...

## Detailed Description

Class representing the event slot.

Definition at line 11 of file EventSlot.h.

## Constructor & Destructor Documentation

EventSlot::EventSlot | ( | const std::vector< DataObjIDColl > & | algoDependencies,
|  | unsigned int | numberOfAlgorithms,
|  | unsigned int | numberOfControlFlowNodes,
|  | SmartIF< IMessageSvc > | MS
| ) |  |
| inline

Definition at line 14 of file EventSlot.h.

16 : eventContext( nullptr )
17 , algsStates( numberOfAlgorithms, MS )
18 , complete( false )
19 , dataFlowMgr( algoDependencies )
20 , controlFlowState( numberOfControlFlowNodes, -1 ){};
EventSlot::algsStates
AlgsExecutionStates algsStates
Vector of algorithms states.
Definition: EventSlot.h:37
EventSlot::eventContext
EventContext * eventContext
Cache for the eventContext.
Definition: EventSlot.h:32
EventSlot::dataFlowMgr
DataFlowManager dataFlowMgr
DataFlowManager of this slot.
Definition: EventSlot.h:41
EventSlot::controlFlowState
std::vector< int > controlFlowState
State of the control flow.
Definition: EventSlot.h:43
EventSlot::complete
bool complete
Flags completion of the event.
Definition: EventSlot.h:39

EventSlot::~EventSlot | ( |  | ) |
| inline

Definition at line 22 of file EventSlot.h.

22 {};

## Member Function Documentation

void EventSlot::reset | ( | EventContext * | theeventContext | ) |
| inline

Reset all resources in order to reuse the slot.

Definition at line 25 of file EventSlot.h.

26 {
27 eventContext = theeventContext;
28 algsStates.reset();
29 dataFlowMgr.reset();
30 complete = false;
31 controlFlowState.assign( controlFlowState.size(), -1 );
32 };
EventSlot::algsStates
AlgsExecutionStates algsStates
Vector of algorithms states.
Definition: EventSlot.h:37
EventSlot::eventContext
EventContext * eventContext
Cache for the eventContext.
Definition: EventSlot.h:32
EventSlot::dataFlowMgr
DataFlowManager dataFlowMgr
DataFlowManager of this slot.
Definition: EventSlot.h:41
EventSlot::controlFlowState
std::vector< int > controlFlowState
State of the control flow.
Definition: EventSlot.h:43
EventSlot::complete
bool complete
Flags completion of the event.
Definition: EventSlot.h:39
std::vector::size
T size(T...args)
std::vector::assign
T assign(T...args)
DataFlowManager::reset
void reset()
Reset to default values.
Definition: DataFlowManager.cpp:77
AlgsExecutionStates::reset
void reset()
Definition: AlgsExecutionStates.h:51

## Member Data Documentation

AlgsExecutionStates EventSlot::algsStates

Vector of algorithms states.

Definition at line 37 of file EventSlot.h.

bool EventSlot::complete

Flags completion of the event.

Definition at line 39 of file EventSlot.h.

std::vector<int> EventSlot::controlFlowState

State of the control flow.

Definition at line 43 of file EventSlot.h.

DataFlowManager EventSlot::dataFlowMgr

DataFlowManager of this slot.

Definition at line 41 of file EventSlot.h.

EventContext* EventSlot::eventContext

Cache for the eventContext.

Definition at line 32 of file EventSlot.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/EventSlot.h